import { jsx } from "react/jsx-runtime";
import { MouseScrollIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const MouseScroll = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "MouseScroll", ...props, children: /* @__PURE__ */ jsx(MouseScrollIcon, { weight: variant }) });
  }
);
MouseScroll.displayName = "MouseScroll";
Object.assign(MouseScroll, { isGdsIcon: true });
export {
  MouseScroll
};
